## pytest-django 2.9.1

=== Makefile ===
.PHONY: docs test clean isort

export DJANGO_SETTINGS_MODULE?=pytest_django_test.settings_sqlite_file

testenv: bin/py.test

test: bin/py.test
	bin/pip install -e .
	bin/py.test

bin/python bin/pip:
	virtualenv .

bin/py.test: bin/python requirements.txt
	bin/pip install -Ur requirements.txt
	touch $@

bin/sphinx-build: bin/pip
	bin/pip install sphinx

docs: bin/sphinx-build
	SPHINXBUILD=../bin/sphinx-build $(MAKE) -C docs html

# See setup.cfg for configuration.
isort:
	find pytest_django tests -name '*.py' -exec isort {} +

clean:
	rm -rf bin include/ lib/ man/ pytest_django.egg-info/ build/

=== requirements.txt ===
-e .
django
django-configurations
pytest-xdist
tox
wheel
twine
south

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
ifndef SPHINXBUILD
SPHINXBUILD   = ../bin/sphinx-build
endif
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pytest-django.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pytest-django.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pytest-django"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pytest-django"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pytest-django (2.9.1-2) unstable; urgency=medium

  * Fix depends on python3-pytest-django package.

 -- Brian May <bam@debian.org>  Wed, 28 Oct 2015 20:02:35 +1100

pytest-django (2.9.1-1) unstable; urgency=low

  * Initial version. Closes: #802727.

 -- Brian May <bam@debian.org>  Fri, 23 Oct 2015 11:18:36 +1100

=== debian/control ===
Source: pytest-django
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Section: python
Priority: optional
Build-Depends:
    debhelper (>= 9), dh-python,
    python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3), python-setuptools-scm,
    python3-all, python3-setuptools, python3-setuptools-scm,
Standards-Version: 3.9.6
Homepage: http://pytest-django.readthedocs.org/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/pytest-django.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pytest-django.git

Package: python-pytest-django
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Django plugin for py.test.
 Running your test suite with pytest-django allows you to access features
 of pytest that wouldn't normally be available with the Django’s
 manage.py test command.
 .
 This package contains the python 2 version.

Package: python3-pytest-django
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Django plugin for py.test.
 Running your test suite with pytest-django allows you to access features
 of pytest that wouldn't normally be available with the Django’s
 manage.py test command.
 .
 This package contains the python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.2 at
# Fri, 23 Oct 2015 09:24:46 +1100
export PYBUILD_NAME=pytest-django
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pytest-django/pytest-django-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pytest-django 3.1.2

=== requirements.txt ===
-e .
setuptools
django
django-configurations
pytest-xdist
tox
wheel
twine
flake8

=== debian/changelog ===
pytest-django (3.1.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Depend on newer dh-python which sets SETUPTOOLS_SCM_PRETEND_VERSION

  [ Brian May ]
  * New upstream version.
  * Update standards version to 4.0.0.
  * Tests not enabled because they depend on django-configurations which
    isn't packaged yet in Debian.

 -- Brian May <bam@debian.org>  Mon, 10 Jul 2017 19:46:24 +1000

pytest-django (2.9.1-3) unstable; urgency=medium

  [ Neil Williams ]
  * Allow setuptools-scm >= 1.8.0 (Closes: #808536)

 -- Brian May <bam@debian.org>  Tue, 12 Apr 2016 09:43:40 +1000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,16 @@
 Section: python
 Priority: optional
 Build-Depends:
-    debhelper (>= 9), dh-python,
-    python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3), python-setuptools-scm,
-    python3-all, python3-setuptools, python3-setuptools-scm,
-Standards-Version: 3.9.6
+    debhelper (>= 9), dh-python (>= 2.20160609~),
+    python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3),
+    python-setuptools-scm (>= 1.11.1),
+    python-pytest (>= 2.9), python-django,
+    python3-all, python3-setuptools,
+    python3-setuptools-scm (>= 1.11.1),
+    python3-pytest (>= 2.9), python3-django,
+Standards-Version: 4.0.0
 Homepage: http://pytest-django.readthedocs.org/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/pytest-django.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pytest-django.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pytest-django.git
 
 Package: python-pytest-django

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,8 @@
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
 
+override_dh_auto_test:
+# Tests not enabled because required django-configurations not yet packaged
+# in Debian
+# 	PYTHONPATH=. \
+# 	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest --ds=pytest_django_test.settings_sqlite --strict -r fEsxXw"

## pytest-django 3.5.1

=== Makefile ===
.PHONY: docs test clean isort

VENV:=build/venv

export DJANGO_SETTINGS_MODULE?=pytest_django_test.settings_sqlite_file

testenv: $(VENV)/bin/pytest

test: $(VENV)/bin/pytest
	$(VENV)/bin/pip install -e .
	$(VENV)/bin/py.test

$(VENV)/bin/python $(VENV)/bin/pip:
	virtualenv $(VENV)

$(VENV)/bin/pytest: $(VENV)/bin/python requirements.txt
	$(VENV)/bin/pip install -Ur requirements.txt
	touch $@

docs:
	tox -e docs

# See setup.cfg for configuration.
isort:
	find pytest_django tests -name '*.py' -exec isort {} +

clean:
	rm -rf bin include/ lib/ man/ pytest_django.egg-info/ build/

=== requirements.txt ===
--- 
+++ 
@@ -7,3 +7,4 @@
 wheel
 twine
 flake8
+sphinx_rtd_theme

=== debian/changelog ===
pytest-django (3.5.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * New upstream version.
  * Drop Python 2 support.
  * Increase the required python3-pytest version to 3.6.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 07 Aug 2019 22:20:45 +0500

=== debian/control ===
Source: pytest-django
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Section: python
Priority: optional
Build-Depends:
    debhelper-compat (= 9), dh-python (>= 2.20160609~),
    python3-all, python3-setuptools,
    python3-setuptools-scm (>= 1.11.1),
    python3-pytest (>= 3.6), python3-django,
Standards-Version: 4.0.0
Homepage: http://pytest-django.readthedocs.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/pytest-django.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest-django

Package: python3-pytest-django
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Django plugin for py.test.
 Running your test suite with pytest-django allows you to access features
 of pytest that wouldn't normally be available with the Django’s
 manage.py test command.
 .
 This package contains the python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pytest-django
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
# Tests not enabled because required django-configurations not yet packaged
# in Debian
# 	PYTHONPATH=. \
# 	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest --ds=pytest_django_test.settings_sqlite --strict -r fEsxXw"

## pytest-django 4.5.2

=== Makefile ===
.PHONY: docs test clean isort

VENV:=build/venv

export DJANGO_SETTINGS_MODULE?=pytest_django_test.settings_sqlite_file

test: $(VENV)/bin/pytest
	$(VENV)/bin/pytest

$(VENV)/bin/python $(VENV)/bin/pip:
	virtualenv $(VENV)

$(VENV)/bin/pytest: $(VENV)/bin/python requirements.txt
	$(VENV)/bin/pip install -Ur requirements.txt
	touch $@

docs:
	tox -e docs

# See setup.cfg for configuration.
isort:
	isort pytest_django pytest_django_test tests

clean:
	rm -rf bin include/ lib/ man/ pytest_django.egg-info/ build/

=== debian/changelog ===
pytest-django (4.5.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dh-python, python3-django and
      python3-setuptools-scm.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 12:14:39 +0100

pytest-django (4.5.2-2) unstable; urgency=medium

  * Team upload.
  * Fix clean target (Closes: #1017265)

 -- Neil Williams <codehelp@debian.org>  Mon, 15 Aug 2022 09:02:56 +0100

pytest-django (4.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper from old 12 to 13.

 -- Neil Williams <codehelp@debian.org>  Fri, 12 Aug 2022 11:23:25 +0100

pytest-django (3.5.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jun 2022 22:01:58 -0400

=== debian/control ===
Source: pytest-django
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Brian May <bam@debian.org>
Section: python
Priority: optional
Build-Depends:
    debhelper-compat (= 13), dh-python,
    python3-all, python3-setuptools,
    python3-setuptools-scm,
    python3-pytest (>= 5.4), python3-django,
Standards-Version: 4.6.1
Homepage: https://pytest-django.readthedocs.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-django.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-django

Package: python3-pytest-django
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Django plugin for py.test.
 Running your test suite with pytest-django allows you to access features
 of pytest that wouldn't normally be available with the Django’s
 manage.py test command.
 .
 This package contains the python 3 version.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_auto_clean:
+	dh_auto_clean
+	$(RM) pytest_django/_version.py
+
 override_dh_auto_test:
 # Tests not enabled because required django-configurations not yet packaged
 # in Debian

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pytest-django-$1\.tar\.gz/ \
  https://github.com/pytest-dev/pytest-django/tags .*/v?(\d\S+)\.tar\.gz

## pytest-django 4.11.1

=== Makefile ===
.PHONY: docs test clean fix

test:
	tox -e py-dj42-sqlite_file

docs:
	tox -e docs

fix:
	ruff check --fix pytest_django pytest_django_test tests

clean:
	rm -rf bin include/ lib/ man/ pytest_django.egg-info/ build/

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?= ""
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
pytest-django (4.11.1-2) unstable; urgency=medium

  * Team upload.
  * [e422794] d/python-pytest-django-doc.doc-base: Fix document name

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 12 Aug 2025 18:50:41 +0200

pytest-django (4.11.1-1) experimental; urgency=medium

  * Team upload.
  * [93dfb04] d/gbp.conf: Add some more defaults
  * [0dfe9f2] d/watch: Update and define compatibility to version 4
  * [61c68ac] d/*: Run wrap-and-sort -ast
  * [e835db5] d/gbp.conf: Adjust to debian/experimental
  * [cb4a1f6] New upstream version 4.11.1
  * [67f9c2f] Add patch from patch-queue branch
    Added patch:
    docs-Use-local-inventory-for-intersphinx.patch
  * [c6e6674] d/control: Update build dependencies
  * [32f09d0] d/control: Bump Standards-Version to 4.7.2
    d/control: Bump Standards-Version to 4.7.2
    No further modifications needed.
  * [41c8ca0] d/control: Add Testsuite: autopkgtest-pkg-python
  * [b9bd07c] d/control: Switch Homepage field pointing to GH site
  * [fafed68] d/control: Smallish rewording of short description
  * [c037f66] d/rules: Drop --with option from default target
  * [d65f30c] d/rules: Clean up .mypy_cache folder too
  * [fb79aa0] d/rules: Run upstream tests at build time
  * [9a57290] d/control: Add package python-pytest-django-doc
  * [f59a6a2] d/rules: Add Sphinx build of -doc package
  * [a8f86af] d/python-pytest-django-doc.doc-base: Add new sequencer
  * [38b9396] d/copyright: Update content and contribution years
  * [ef155ad] d/u/metadata: Update content
  * [3693142] d/README.source: Add information about source

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 12 Jun 2025 17:33:57 +0200

=== debian/control ===
Source: pytest-django
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Brian May <bam@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python-django-doc <!nodoc>,
 python-pytest-doc <!nodoc>,
 python3-all,
 python3-django <!nocheck>,
 python3-doc <!nodoc>,
 python3-pytest (>= 7.0.0) <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://github.com/pytest-dev/pytest-django
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-django.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-django
Testsuite: autopkgtest-pkg-python

Package: python-pytest-django-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Django plugin for Pytest (Documentation)
 Running your test suite with pytest-django allows you to access features
 of pytest that wouldn't normally be available with the Django’s
 manage.py test command.
 .
 This package contains the documentation for python3-pytest-django.

Package: python3-pytest-django
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pytest-django-doc,
Description: Django plugin for Pytest
 Running your test suite with pytest-django allows you to access features
 of pytest that wouldn't normally be available with the Django’s
 manage.py test command.
 .
 This package contains the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=pytest-django

SPHINXOPTS := -E -N

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(RM) pytest_django/_version.py
	rm -rf .mypy_cache

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	cd .pybuild && \
	PYTHONPATH=$$PWD/`dirname $$(find . -type d -name "pytest_django*dist-info" | head -n1)` && \
	export PYTHONPATH && \
	    python3 -m sphinx -b html $(SPHINXOPTS) ../docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
	PYTHONPATH=$$PWD/`dirname $$(find . -type d -name "$(PYBUILD_NAME)*dist-info" | head -n1)` \
	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest"

override_dh_compress:
	dh_compress -X changelog.html

=== debian/tests/control ===
Tests:
 upstream,
Depends:
 python3-all,
 python3-django,
 python3-pytest-xdist,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/pytest-dev/pytest-django.git \
      refs/tags/@ANY_VERSION@

## pytest-django 4.12.0

=== debian/changelog ===
pytest-django (4.12.0-1) unstable; urgency=medium

  * Team upload.
  * [6c6a73d] d/watch: Convert to version 5
  * [00271af] New upstream version 4.12.0
  * [59e0899] d/control: Update Standards-Version to 4.7.3
    No further modifications needed.
  * [79db126] d/control: Drop field Priority: optional
  * [1d2fabd] d/copyright: Update year data
  * [d002687] d/rules: Fix dirname command for running test suite

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 22 Feb 2026 08:36:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Brian May <bam@debian.org>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -20,7 +19,7 @@
  python3-setuptools-scm,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/pytest-dev/pytest-django
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-django.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-django

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 endif
 
 override_dh_auto_test:
-	PYTHONPATH=$$PWD/`dirname $$(find . -type d -name "$(PYBUILD_NAME)*dist-info" | head -n1)` \
+	PYTHONPATH=$$PWD/`dirname $$(find . -type d -name "pytest_django*dist-info" | head -n1)` \
 	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest"
 
 override_dh_compress:

=== debian/watch ===
Version: 5

Template: Github
Project: pytest-django
Owner: pytest-dev
Compression: gz
Pgpmode: none
Dversion-Mangle: auto
Uversion-Mangle: auto
